## node-webassemblyjs 1.9.0%2Bdfsg

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,repack,compression=xz,repacksuffix=+dfsg,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-webassemblyjs-ast-$1.tar.gz/ \
 https://github.com/xtuc/webassemblyjs/releases .*/archive/v?([\d\.]+).tar.gz debian

opts="searchmode=plain,pgpmode=none,component=babel-plugin-mamacro" \
 https://registry.npmjs.org/babel-plugin-mamacro \
 https://registry.npmjs.org/babel-plugin-mamacro/-/babel-plugin-mamacro-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=xtuclong,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/long https://registry.npmjs.org/@xtuc/long/-/long-(4(?:.[\d\.]+)?)@ARCHIVE_EXT@ ignore

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=xtucieee754,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/ieee754 https://registry.npmjs.org/@xtuc/ieee754/-/ieee754-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ ignore

opts=\
component=is-regex,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-is-regex-$1.tar.gz/ \
 https://github.com/ljharb/is-regex/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=es-abstract,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-es-abstract-$1.tar.gz/ \
 https://github.com/ljharb/es-abstract/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=arrayprototypeflatmap,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-Array.prototype.flatMap-$1.tar.gz/ \
 https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-webassemblyjs 1.9.0+dfsg

=== Makefile ===
NODE_OPTS =

TEST_TIMEOUT = 10000

TRACE = 0
LERNA = ./node_modules/.bin/lerna
FLOWTYPED = ./node_modules/.bin/flow-typed
NODE = node
PRETTIER = ./node_modules/.bin/prettier --ignore-path .prettierignore
BABEL = ./node_modules/.bin/babel --ignore src/types/npm
ESLINT = ./node_modules/.bin/eslint
HTTP_SERVER = ./node_modules/.bin/http-server -d-1
MARKDOWN_TO_HTML = ./node_modules/.bin/markdown
YARN_EXTRA_ARGS =
YARN = yarn $(YARN_EXTRA_ARGS)

SPEC_TEST_DIR = testsuite

SPECTEST_RUNNER = $(NODE) ./packages/helper-testsuite-runner/lib/cli.js
REPL = $(NODE) ./packages/repl/lib/bin.js

.PHONY: test build

clean-all:
	rm -rf ./node_modules ./packages/*/node_modules ./packages/*/{lib,esm}

bootstrap: clean-all
	$(YARN) install

build:
	WITH_TRACE=$(TRACE) ./scripts/build.sh

watch:
	WITH_TRACE=$(TRACE) ./scripts/build.sh --watch

test-ci: test test-whitelisted-spec lint
test-ci-windows: test test-whitelisted-spec

test-pnpm: clean-all
	$(YARN) install
	npm i -g pnpm
	$(LERNA) exec pnpm install
	make build lint

test: build
	./scripts/test.sh --timeout $(TEST_TIMEOUT)

test-whitelisted-spec:
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/exports.wast
	# FIXME(sven): issue with number binary encoding/decoding used in wast2json
	# $(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/globals.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/i32.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/binary.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/typecheck.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/comments.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/inline-module.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/store_retval.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/utf8-custom-section-id.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/utf8-import-field.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/utf8-import-module.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/break-drop.wast
	$(SPECTEST_RUNNER) $(SPEC_TEST_DIR)/i64.wast

lint:
	$(ESLINT) packages

publish: build
	$(LERNA) publish --force-publish --exact

repl: build
	$(NODE) $(NODE_OPTS) ./lib/repl

generate-doc:
	$(MARKDOWN_TO_HTML) README.md

serve-docs:
	$(HTTP_SERVER) docs

bench:
	$(NODE) $(NODE_OPTS) ./benchmark

fix:
	$(PRETTIER) --write "{packages,docs,benchmark}/**/*.js"

flow-update-def:
	$(FLOWTYPED) install --libdefDir src/types

=== debian/changelog ===
node-webassemblyjs (1.9.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix install

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Mar 2020 22:24:09 +0100

node-webassemblyjs (1.9.0+dfsg-1) unstable; urgency=medium

  * Team Upload.

  [ Nilesh Patra ]
  * Embed components: is-regex, es-abstract,
    is-callable, has-symbols, arrayprototypeflatmap
  * Fix package to transition to unstable
  * Fix copyright as per new embedded components
  * Remove un-needed patch for embedded module
  * Drop version check on nodejs, update Build-Depends
  * Add "Rules-Requires-Root:no"
  * Bump standards version to 4.5.0
  * Bump compatibility level to 12
  * Add Provides
  * Add Patch Description
  * Remove unused license Apache-2.0

  [ Xavier Guimard ]
  * Use ${nodejs:Provides} to publish all module installed in main nodejs
    directories
  * Fix perms and remove src from install
  * New upstream version 1.9.0+dfsg

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 10 Mar 2020 17:44:16 +0530

node-webassemblyjs (1.8.5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #942455)

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Oct 2019 14:02:49 +0530

=== debian/control ===
Source: node-webassemblyjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 12)
 , nodejs
 , pkg-js-tools (>= 0.9.26~)
 , node-babel-cli
 , node-define-properties
 , node-function-bind
 , node-object-inspect
 , node-debbundle-es-to-primitive
 , node-babel-preset-env
 , node-babel-preset-flow
 , node-babel-plugin-transform-object-rest-spread
 , node-babel-plugin-add-module-exports
Standards-Version: 4.5.0
Homepage: https://github.com/xtuc/webassemblyjs
Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs
Rules-Requires-Root: no

Package: node-webassemblyjs
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
Provides: ${nodejs:Provides}
Description: Toolchain for WebAssembly
 This package includes:
 webassemblyjs - WebAssembly interpreter, implements the W3C WebAssembly API.
 and the following modules under @webassembly name space.
 .
 ast - AST utils for webassemblyjs
 cli - Toolbox for WebAssembly
 dce - Eliminate unused functions in your WASM binary
 eslint-plugin-webassembly - ESLint plugin for WebAssembly.
 floating-point-hex-parser - Parser function for floating point hexadecimals.
 helper-buffer - Buffer manipulation helpers
 helper-fsm - FSM implementation
 helper-wasm-bytecode - Constants for the wasm format
 helper-wasm-section - Section manipulation helpers
 leb128 - LEB128 decoding
 repl - WebAssembly REPL.
 validation - Module AST validations
 wasm-edit - Replace in-place an AST node in the binary.
 wasm-gen - WebAssembly binary format printer
 wasm-opt - WASM optimizer
 wasm-parser - WebAssembly binary format parser
 wasm-strip - Strips custom sections (deprecated, use wabt instead)
 wast-loader - Webpack loader for WebAssembly text format
 wast-parser - WebAssembly text format parser
 wast-printer - WebAssembly text format printer
 wast-refmt - WAST refmt
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WEBASSPATH=debian/node-webassemblyjs/usr/share/nodejs/@webassemblyjs

%:
	dh $@ --with nodejs

override_dh_auto_build:
	DISABLE_FUZZER_TEST=1 ./scripts/build.sh

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	rm -rf $(WEBASSPATH)/*/src \
		debian/node-webassemblyjs/usr/share/nodejs/wast-loader/src \
		debian/node-webassemblyjs/usr/share/nodejs/webassemblyjs/src \

override_dh_fixperms:
	dh_fixperms
	chmod +x \
		$(WEBASSPATH)/cli/*/*.js \
		$(WEBASSPATH)/helper-testsuite-runner/*/cli.js \
		$(WEBASSPATH)/repl/*/bin.js \
		$(WEBASSPATH)/wasm-text-gen/*/cli.js \
		$(WEBASSPATH)/wast-refmt/*/cli.js

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs
	make clean-all

## node-webassemblyjs 1.9.1+dfsg+~cs7.7.13

=== debian/changelog ===
node-webassemblyjs (1.9.1+dfsg+~cs7.7.13-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Replace es-abstract component by dependency to new node-es-abstract
  * New upstream version 1.9.1+dfsg+~cs7.7.13
    Updates:
     + webassemblyjs 1.9.1
     + is-regex 1.1.1
    Really: 1.9.1+~0.0.7+~4.2.2+~1.2.0+~1.1.1+~1.2.3
  * Apply multi-arch hints

 -- Xavier Guimard <yadd@debian.org>  Sat, 24 Oct 2020 08:39:38 +0200

node-webassemblyjs (1.9.0+dfsg-4) unstable; urgency=medium

  * Drop unnecessary build dependency on node-babel-plugin-add-module-exports

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 May 2020 17:38:26 +0530

node-webassemblyjs (1.9.0+dfsg-3) unstable; urgency=medium

  * Rename .babelrc.js to babel.config.js
  * Build with babel7
  * Drop patches that forced build with babel 6
  * Use @babel/parser instead of babylon

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 May 2020 08:42:35 +0530

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,15 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , nodejs
- , pkg-js-tools (>= 0.9.26~)
- , node-babel-cli
+ , dh-sequence-nodejs
+ , node-babel7
  , node-define-properties
+ , node-es-abstract
  , node-function-bind
  , node-object-inspect
  , node-debbundle-es-to-primitive
- , node-babel-preset-env
- , node-babel-preset-flow
- , node-babel-plugin-transform-object-rest-spread
- , node-babel-plugin-add-module-exports
 Standards-Version: 4.5.0
 Homepage: https://github.com/xtuc/webassemblyjs
 Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
@@ -27,8 +24,10 @@
 Architecture: all
 Depends:
  ${misc:Depends}
+ , node-es-abstract
  , nodejs (>= 6)
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: Toolchain for WebAssembly
  This package includes:
  webassemblyjs - WebAssembly interpreter, implements the W3C WebAssembly API.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,repack,compression=xz,repacksuffix=+dfsg,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-webassemblyjs-ast-$1.tar.gz/ \
 https://github.com/xtuc/webassemblyjs/releases .*/archive/v?([\d\.]+).tar.gz group

opts="searchmode=plain,pgpmode=none,component=babel-plugin-mamacro" \
 https://registry.npmjs.org/babel-plugin-mamacro \
 https://registry.npmjs.org/babel-plugin-mamacro/-/babel-plugin-mamacro-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=xtuclong,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/long https://registry.npmjs.org/@xtuc/long/-/long-(4(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=xtucieee754,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/ieee754 https://registry.npmjs.org/@xtuc/ieee754/-/ieee754-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts=\
component=is-regex,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-is-regex-$1.tar.gz/ \
 https://github.com/ljharb/is-regex/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=arrayprototypeflatmap,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-Array.prototype.flatMap-$1.tar.gz/ \
 https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/v?([\d\.]+).tar.gz checksum

## node-webassemblyjs 1.9.1+repack+~cs10.9.15

=== debian/changelog ===
node-webassemblyjs (1.9.1+repack+~cs10.9.15-1) unstable; urgency=medium

  * Team upload
  * No more embed wabt (source unavailable) and repack. This will break
    @webassemblyjs/wasm-parser and wast-loader (Closes: #975360)

 -- Xavier Guimard <yadd@debian.org>  Sat, 21 Nov 2020 08:38:25 +0100

node-webassemblyjs (1.9.1+dfsg+~cs11.9.35-1) unstable; urgency=medium

  * Team upload
  * Embed call-bind, get-intrinsic, requireindex, wabt and repack
  * Update lintian overrides
  * Require node-es-abstract ≥ 1.18.0
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Nov 2020 17:37:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , dh-sequence-nodejs
  , node-babel7
  , node-define-properties
- , node-es-abstract
+ , node-es-abstract (>= 1.18.0~)
  , node-function-bind
  , node-object-inspect
  , node-debbundle-es-to-primitive
@@ -24,7 +24,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , node-es-abstract
+ , node-es-abstract (>= 1.18.0~)
  , nodejs (>= 6)
 Provides: ${nodejs:Provides}
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 WEBASSPATH=debian/node-webassemblyjs/usr/share/nodejs/@webassemblyjs
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	DISABLE_FUZZER_TEST=1 ./scripts/build.sh

=== debian/watch ===
--- 
+++ 
@@ -29,3 +29,20 @@
 dversionmangle=auto,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-Array.prototype.flatMap-$1.tar.gz/ \
  https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/v?([\d\.]+).tar.gz checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=requireindex,pgpmode=none" \
+ https://registry.npmjs.org/requireindex https://registry.npmjs.org/requireindex/-/requireindex-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+opts=\
+component=call-bind,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-call-bind-$1.tar.gz/ \
+ https://github.com/ljharb/call-bind/tags .*/archive/v?([\d\.]+).tar.gz checksum
+
+opts=\
+component=get-intrinsic,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-get-intrinsic-$1.tar.gz/ \
+ https://github.com/ljharb/get-intrinsic/tags .*/archive/v?([\d\.]+).tar.gz checksum

## node-webassemblyjs 1.11.0%2Bdfsg%2B~cs10.10.16

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
  debhelper-compat (= 13)
- , nodejs
+ , chai <!nocheck>
  , dh-sequence-nodejs
+ , eslint <!nocheck>
+ , jest <!nocheck>
+ , mocha <!nocheck>
  , node-babel7
  , node-define-properties
  , node-es-abstract (>= 1.18.0~)
  , node-function-bind
  , node-object-inspect
  , node-debbundle-es-to-primitive
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/xtuc/webassemblyjs
 Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs

## node-webassemblyjs 1.11.0+dfsg+~cs10.10.16

=== debian/changelog ===
node-webassemblyjs (1.11.0+dfsg+~cs10.10.16-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 1.11.0+dfsg+~cs10.10.16
  * Enable part of upstream test

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Jan 2021 17:19:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 13)
+ debhelper-compat (= 12)
  , chai <!nocheck>
  , dh-sequence-nodejs
  , eslint <!nocheck>

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,repack,compression=xz,repacksuffix=+dfsg,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-webassemblyjs-ast-$1.tar.gz/ \
 https://github.com/xtuc/webassemblyjs/releases .*/archive/v?([\d\.]+).tar.gz group

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=babel-plugin-mamacro" \
 https://registry.npmjs.org/babel-plugin-mamacro \
 https://registry.npmjs.org/babel-plugin-mamacro/-/babel-plugin-mamacro-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=xtuclong,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/long https://registry.npmjs.org/@xtuc/long/-/long-(4(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=xtucieee754,pgpmode=none" \
 https://registry.npmjs.org/@xtuc/ieee754 https://registry.npmjs.org/@xtuc/ieee754/-/ieee754-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=is-regex,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-is-regex-$1.tar.gz/ \
 https://github.com/ljharb/is-regex/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=arrayprototypeflatmap,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-Array.prototype.flatMap-$1.tar.gz/ \
 https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=requireindex,pgpmode=none" \
 https://registry.npmjs.org/requireindex https://registry.npmjs.org/requireindex/-/requireindex-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
ctype=nodejs,\
component=call-bind,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-call-bind-$1.tar.gz/ \
 https://github.com/ljharb/call-bind/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
ctype=nodejs,\
component=get-intrinsic,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-get-intrinsic-$1.tar.gz/ \
 https://github.com/ljharb/get-intrinsic/tags .*/archive/v?([\d\.]+).tar.gz checksum

## node-webassemblyjs 1.11.1+dfsg+~cs10.10.21

=== debian/changelog ===
node-webassemblyjs (1.11.1+dfsg+~cs10.10.21-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Fix d/watch
  * New upstream version 1.11.1+dfsg+~cs10.10.21
  * Add patch to workaround jest-diff update (Closes: #997573)

 -- Yadd <yadd@debian.org>  Sun, 24 Oct 2021 08:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , chai <!nocheck>
  , dh-sequence-nodejs
  , eslint <!nocheck>
@@ -17,7 +17,7 @@
  , node-function-bind
  , node-object-inspect
  , node-debbundle-es-to-primitive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/xtuc/webassemblyjs
 Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs

## node-webassemblyjs 1.11.4%2Bdfsg%2B~cs10.11.17

=== debian/changelog ===
node-webassemblyjs (1.11.4+dfsg+~cs10.11.17-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 28 Jul 2022 21:10:47 +0200

node-webassemblyjs (1.11.4+dfsg+~cs10.11.17-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Drop nodejs dependency
  * New upstream version 1.11.4+dfsg+~cs10.11.17
  * Patches:
    + Drop rename-babelrc.patch, now included in upstream
    + Drop workaround-jest-diff-update.patch not needed with jest >= 28
    + Refresh others
  * Update copyright

 -- Yadd <yadd@debian.org>  Thu, 28 Jul 2022 20:27:54 +0200

=== debian/watch ===
--- 
+++ 
@@ -1,8 +1,8 @@
 version=4
 opts=\
 dversionmangle=auto,repack,compression=xz,repacksuffix=+dfsg,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-webassemblyjs-ast-$1.tar.gz/ \
- https://github.com/xtuc/webassemblyjs/releases .*/archive/v?([\d\.]+).tar.gz group
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-webassemblyjs-ast-$1/ \
+ https://github.com/xtuc/webassemblyjs/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=babel-plugin-mamacro" \
  https://registry.npmjs.org/babel-plugin-mamacro \
@@ -22,15 +22,15 @@
 ctype=nodejs,\
 component=is-regex,\
 dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-is-regex-$1.tar.gz/ \
- https://github.com/ljharb/is-regex/tags .*/archive/v?([\d\.]+).tar.gz checksum
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-is-regex-$1/ \
+ https://github.com/ljharb/is-regex/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
 
 opts=\
 ctype=nodejs,\
 component=arrayprototypeflatmap,\
 dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-Array.prototype.flatMap-$1.tar.gz/ \
- https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/v?([\d\.]+).tar.gz checksum
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-Array.prototype.flatMap-$1/ \
+ https://github.com/es-shims/Array.prototype.flatMap/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
@@ -41,12 +41,12 @@
 ctype=nodejs,\
 component=call-bind,\
 dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-call-bind-$1.tar.gz/ \
- https://github.com/ljharb/call-bind/tags .*/archive/v?([\d\.]+).tar.gz checksum
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-call-bind-$1/ \
+ https://github.com/ljharb/call-bind/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
 
 opts=\
 ctype=nodejs,\
 component=get-intrinsic,\
 dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-get-intrinsic-$1.tar.gz/ \
- https://github.com/ljharb/get-intrinsic/tags .*/archive/v?([\d\.]+).tar.gz checksum
+filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-get-intrinsic-$1/ \
+ https://github.com/ljharb/get-intrinsic/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

## node-webassemblyjs 1.11.4+dfsg+~cs10.11.17

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 .PHONY: test build
 
+.PHONY: clean-all
 clean-all:
 	rm -rf ./node_modules ./packages/*/node_modules ./packages/*/{lib,esm}
 
@@ -65,7 +66,7 @@
 	$(ESLINT) packages
 
 publish: build
-	$(LERNA) publish --force-publish --exact
+	$(LERNA) publish --force-publish --exact --otp=${read}
 
 repl: build
 	$(NODE) $(NODE_OPTS) ./lib/repl
@@ -77,7 +78,7 @@
 	$(HTTP_SERVER) docs
 
 bench:
-	$(NODE) $(NODE_OPTS) ./benchmark
+	$(NODE) $(NODE_OPTS) ./packages/webassemblyjs/benchmark
 
 fix:
 	$(PRETTIER) --write "{packages,docs,benchmark}/**/*.js"

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,40 @@
 Source: node-webassemblyjs
-Section: javascript
-Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
+Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
-Build-Depends:
- debhelper-compat (= 13)
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , chai <!nocheck>
- , dh-sequence-nodejs
  , eslint <!nocheck>
  , jest <!nocheck>
  , mocha <!nocheck>
  , node-babel7
+ , node-debbundle-es-to-primitive
  , node-define-properties
- , node-es-abstract (>= 1.18.0~)
+ , node-es-abstract
  , node-function-bind
+ , node-glob
  , node-object-inspect
- , node-debbundle-es-to-primitive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs
+Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
 Homepage: https://github.com/xtuc/webassemblyjs
-Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs
 Rules-Requires-Root: no
 
 Package: node-webassemblyjs
 Architecture: all
-Depends:
- ${misc:Depends}
- , node-es-abstract (>= 1.18.0~)
- , nodejs (>= 6)
+Multi-Arch: foreign
+Depends: node-es-abstract
+ , node-glob
+ , ${misc:Depends}
+Suggests: chai
+ , node-babel7
+ , node-estraverse
+ , node-glob
+ , node-jest-diff
 Provides: ${nodejs:Provides}
-Multi-Arch: foreign
 Description: Toolchain for WebAssembly
  This package includes:
  webassemblyjs - WebAssembly interpreter, implements the W3C WebAssembly API.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 
 override_dh_auto_build:
 	DISABLE_FUZZER_TEST=1 ./scripts/build.sh
-
-override_dh_auto_test:
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=nodejs

## node-webassemblyjs 1.14.1%2Bdfsg3%2B~cs1.2.7

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	$(ESLINT) packages
 
 publish: build
-	$(LERNA) publish --force-publish --exact --otp=${read}
+	$(LERNA) publish --force-publish --exact
 
 repl: build
 	$(NODE) $(NODE_OPTS) ./lib/repl

## node-webassemblyjs 1.14.1+dfsg3+~cs1.2.7

=== debian/changelog ===
node-webassemblyjs (1.14.1+dfsg3+~cs1.2.7-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1048433.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 06 Jan 2026 18:50:00 +0100

node-webassemblyjs (1.14.1+dfsg3+~cs1.2.7-1) unstable; urgency=medium

  * Team upload
  * Repack and remove autogenerated files,
    in order to fix rebuild (Closes: #1048433)
  * Recommend packaged wabt (Closes: #975396)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 05 Jan 2026 23:53:01 +0100

node-webassemblyjs (1.14.1+dfsg2+~cs1.2.7-1) UNRELEASED; urgency=medium

  * Team upload
  * New upstream version
  * Do not require Array.prototype.flatmap

 -- Bastien Roucariès <rouca@debian.org>  Mon, 05 Jan 2026 22:21:51 +0100

node-webassemblyjs (1.11.4+dfsg1+~cs2.5.9-1) UNRELEASED; urgency=medium

  * Team upload
  * Remove packages packaged elsewhere

 -- Bastien Roucariès <rouca@debian.org>  Mon, 19 Feb 2024 20:40:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
-Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , chai <!nocheck>
@@ -17,23 +16,33 @@
  , node-function-bind
  , node-glob
  , node-object-inspect
-Standards-Version: 4.6.1
+ , node-long
+ , node-ieee754
+ , node-call-bind
+ , node-get-intrinsic
+ , node-is-regex
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/node-webassemblyjs
 Vcs-Git: https://salsa.debian.org/js-team/node-webassemblyjs.git
 Homepage: https://github.com/xtuc/webassemblyjs
-Rules-Requires-Root: no
 
 Package: node-webassemblyjs
 Architecture: all
 Multi-Arch: foreign
 Depends: node-es-abstract
  , node-glob
+ , node-long
+ , node-ieee754
  , ${misc:Depends}
+ , nodejs:any
+Recommends: wabt
 Suggests: chai
  , node-babel7
  , node-estraverse
- , node-glob
  , node-jest-diff
+ , node-call-bind
+ , node-get-intrinsic
+ , node-is-regex
 Provides: ${nodejs:Provides}
 Description: Toolchain for WebAssembly
  This package includes:

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,repack,compression=xz,repacksuffix=+dfsg,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-webassemblyjs-ast-$1/ \
 https://github.com/xtuc/webassemblyjs/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=babel-plugin-mamacro" \
 https://registry.npmjs.org/babel-plugin-mamacro \
 https://registry.npmjs.org/babel-plugin-mamacro/-/babel-plugin-mamacro-(\d[\d\.]*)@ARCHIVE_EXT@ checksum


# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=requireindex,pgpmode=none" \
 https://registry.npmjs.org/requireindex https://registry.npmjs.org/requireindex/-/requireindex-([\d\.]+)@ARCHIVE_EXT@ checksum
